org.apache.tomcat.util.net

## Class NioEndpoint.PollerEvent

- java.lang.Object
- - org.apache.tomcat.util.net.NioEndpoint.PollerEvent

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    NioEndpoint

      public static class NioEndpoint.PollerEvent
      extends Object
      implements Runnable

  PollerEvent, cacheable object for poller events to avoid GC

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NioEndpoint.PollerEvent(NioChannel ch, NioEndpoint.NioSocketWrapper w, int intOps)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reset()`
    `void` | `reset(NioChannel ch, NioEndpoint.NioSocketWrapper w, int intOps)`
    `void` | `run()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NioEndpoint.PollerEvent

          public NioEndpoint.PollerEvent(NioChannel ch,
                                 NioEndpoint.NioSocketWrapper w,
                                 int intOps)

  - ### Method Detail

    - #### reset

          public void reset(NioChannel ch,
                   NioEndpoint.NioSocketWrapper w,
                   int intOps)

    - #### reset

          public void reset()

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.